org.codehaus.plexus.util.xml.pull

## Class XmlPullParserException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.util.xml.pull.XmlPullParserException

- All Implemented Interfaces:
    java.io.Serializable

      public class XmlPullParserException
      extends java.lang.Exception

  This exception is thrown to signal XML Pull Parser related faults.
  Author:
    Aleksander Slominski
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `column`
    `protected java.lang.Throwable` | `detail`
    `protected int` | `row`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlPullParserException(java.lang.String s)`
    `XmlPullParserException(java.lang.String msg, XmlPullParser parser, java.lang.Throwable chain)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnNumber()`
    `java.lang.Throwable` | `getDetail()`
    `int` | `getLineNumber()`
    `void` | `printStackTrace()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### detail

          protected java.lang.Throwable detail

    - #### row

          protected int row

    - #### column

          protected int column

  - ### Constructor Detail

    - #### XmlPullParserException

          public XmlPullParserException(java.lang.String s)

    - #### XmlPullParserException

          public XmlPullParserException(java.lang.String msg,
                                        XmlPullParser parser,
                                        java.lang.Throwable chain)

  - ### Method Detail

    - #### getDetail

          public java.lang.Throwable getDetail()

    - #### getLineNumber

          public int getLineNumber()

    - #### getColumnNumber

          public int getColumnNumber()

    - #### printStackTrace

          public void printStackTrace()

      Overrides:
        `printStackTrace` in class `java.lang.Throwable`